useCBP = 1;

if(useCBP)
    [rows, cols, states, numMachines] = CBPTsukuba();
    str = sprintf('mpiexec -n %d ../dcBP -f ../tsukuba.cbp -e 0 -c 10 -s 10', numMachines+1);      %add +1 for server
    [status, result] = system(str);
else
    [rows, cols, states] = UAITsukuba();
    [status, result] = system('mpiexec -n 2 ../dcBP -f ../tsukuba.uai -e 0 -c 10 -s 10');
end

fid = fopen('LocalBeliefs.txt','rb');
locBel = fread(fid,inf,'double');
fclose(fid);

locBel = reshape(locBel,[states,rows,cols]);
locBel = permute(locBel,[2,3,1]);
[~,IX] = max(locBel,[],3);
IX = IX - 1;
figure;imshow(IX./max(IX(:)));